package xn.hxp.room.bean;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity
public class BaseConfig {

    @PrimaryKey
    private int pid;
    private String id;
    // 是否开启化学品申购
    private boolean subscribe;

    private String loginType;
    private String verifyType;

    // 容差百分比
    private double vinVex;
    // 学院图标
    private String circularLogo;
    // 实验室名称
    private String subName;
    // 分级名称
    private String levelName;
    // 分级颜色
    private String levelColor;
    // 房间编号
    private String roomNum;
    // 学院名称
    private String deptName;
    // 楼栋名称
    private String buildName;
    // 楼层名称
    private String floorName;
    // 自动返回时间
    private int backTime;
    // 自动注销时间
    private int signOutTime;
    // 弹窗关闭时间
    private int offTime;
    // 称重示意图
    private String weighHintPicture;

    public int getPid() {
        return pid;
    }

    public void setPid(int pid) {
        this.pid = pid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public boolean isSubscribe() {
        return subscribe;
    }

    public void setSubscribe(boolean subscribe) {
        this.subscribe = subscribe;
    }

    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    public String getVerifyType() {
        return verifyType;
    }

    public void setVerifyType(String verifyType) {
        this.verifyType = verifyType;
    }

    public double getVinVex() {
        return vinVex;
    }

    public void setVinVex(double vinVex) {
        this.vinVex = vinVex;
    }

    public String getCircularLogo() {
        return circularLogo;
    }

    public void setCircularLogo(String circularLogo) {
        this.circularLogo = circularLogo;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getLevelColor() {
        return levelColor;
    }

    public void setLevelColor(String levelColor) {
        this.levelColor = levelColor;
    }

    public String getRoomNum() {
        return roomNum;
    }

    public void setRoomNum(String roomNum) {
        this.roomNum = roomNum;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getBuildName() {
        return buildName;
    }

    public void setBuildName(String buildName) {
        this.buildName = buildName;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public int getBackTime() {
        return backTime;
    }

    public void setBackTime(int backTime) {
        this.backTime = backTime;
    }

    public int getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(int signOutTime) {
        this.signOutTime = signOutTime;
    }

    public int getOffTime() {
        return offTime;
    }

    public void setOffTime(int offTime) {
        this.offTime = offTime;
    }

    public String getWeighHintPicture() {
        return weighHintPicture;
    }

    public void setWeighHintPicture(String weighHintPicture) {
        this.weighHintPicture = weighHintPicture;
    }
}
